Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_landice_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_landice_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_landice_mod.F90	(revision 4446)
@@ -37,5 +37,5 @@
 #ifdef ISO   
     USE fonte_neige_mod,  ONLY : xtrun_off_lic
-    USE infotrac_phy, ONLY : ntraciso,niso
+    USE infotrac_phy, ONLY : ntiso,niso
     USE isotopes_routines_mod, ONLY: calcul_iso_surf_lic_vectall
 #ifdef ISOVERIF
@@ -82,6 +82,6 @@
     REAL, DIMENSION(klon,nbsrf), INTENT(IN)       :: pctsrf
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)        :: xtprecip_rain, xtprecip_snow 
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)        :: xtspechum 
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)       :: xtprecip_rain, xtprecip_snow 
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)       :: xtspechum 
 #endif
 
@@ -129,5 +129,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)           :: runoff  !Land ice runoff
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)        :: xtevap     
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT)     :: xtevap     
 !    real, DIMENSION(niso,klon) :: xtrun_off_lic_0_diag ! est une variable globale de
 !    fonte_neige
@@ -144,4 +144,5 @@
     INTEGER                  :: i,j,nt
     REAL, DIMENSION(klon)    :: fqfonte,ffonte
+    REAL, DIMENSION(klon)    :: run_off_lic_frac
 #ifdef ISO       
       real, parameter :: t_coup = 273.15
@@ -484,8 +485,15 @@
 ! Send run-off on land-ice to coupler if coupled ocean.
 ! run_off_lic has been calculated in fonte_neige or surf_inlandsis
-!
-!****************************************************************************************
-    IF (type_ocean=='couple') THEN
-       CALL cpl_send_landice_fields(itime, knon, knindex, run_off_lic)
+! If landice_opt>=2, corresponding call is done from surf_land_orchidee
+!****************************************************************************************
+    IF (type_ocean=='couple' .AND. landice_opt .LT. 2) THEN
+       ! Compress fraction where run_off_lic is active (here all pctsrf(is_lic))
+       run_off_lic_frac(:)=0.0
+       DO j = 1, knon
+          i = knindex(j)
+          run_off_lic_frac(j) = pctsrf(i,is_lic)
+       ENDDO
+       
+       CALL cpl_send_landice_fields(itime, knon, knindex, run_off_lic, run_off_lic_frac)
     ENDIF
 
Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_ocean_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_ocean_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_ocean_mod.F90	(revision 4446)
@@ -20,6 +20,6 @@
        z0m, z0h, SFRWL, alb_dir_new, alb_dif_new, evap, fluxsens, fluxlat, & 
        tsurf_new, dflux_s, dflux_l, lmt_bils, &
-       flux_u1, flux_v1, delta_sst, delta_sal, ds_ns, dt_ns, dter, dser, tkt, tks, &
-       taur, sss &
+       flux_u1, flux_v1, delta_sst, delta_sal, ds_ns, dt_ns, dter, dser, &
+       dt_ds, tkt, tks, taur, sss &
 #ifdef ISO
         &       ,xtprecip_rain, xtprecip_snow,xtspechum,Roce, &
@@ -37,5 +37,5 @@
     USE indice_sol_mod, ONLY : nbsrf, is_oce
 #ifdef ISO
-  USE infotrac_phy, ONLY : ntraciso,niso
+  USE infotrac_phy, ONLY : ntraciso=>ntiso,niso
 #ifdef ISOVERIF
     USE isotopes_mod, ONLY: iso_eau,ridicule
@@ -114,4 +114,16 @@
     ! minus foundation temperature. (Can be negative.) In K.
 
+    REAL, intent(inout):: dter(:) ! (knon)
+    ! Temperature variation in the diffusive microlayer, that is
+    ! ocean-air interface temperature minus subskin temperature. In
+    ! K.
+
+    REAL, intent(inout):: dser(:) ! (knon)
+    ! Salinity variation in the diffusive microlayer, that is
+    ! ocean-air interface salinity minus subskin salinity. In ppt.
+
+    real, intent(inout):: dt_ds(:) ! (knon)
+    ! (tks / tkt) * dTer, in K
+
     ! Output variables
     !**************************************************************************
@@ -129,13 +141,4 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: flux_u1, flux_v1
 
-    REAL, intent(out):: dter(:) ! (knon)
-    ! Temperature variation in the diffusive microlayer, that is
-    ! ocean-air interface temperature minus subskin temperature. In
-    ! K.
-
-    REAL, intent(out):: dser(:) ! (knon)
-    ! Salinity variation in the diffusive microlayer, that is
-    ! ocean-air interface salinity minus subskin salinity. In ppt.
-
     REAL, intent(out):: tkt(:) ! (knon)
     ! épaisseur (m) de la couche de diffusion thermique (microlayer)
@@ -152,4 +155,5 @@
     ! defined for subscripts 1:knon, but we have to declare it with
     ! size klon because of the coupling machinery.)
+
 #ifdef ISO
     REAL, DIMENSION(ntraciso,klon), INTENT(out)        :: xtevap ! isotopes in surface evaporation flux 
@@ -172,5 +176,5 @@
     real s_int(knon) ! ocean-air interface salinity, in ppt
 
-    !******************************************************************************
+    !**************************************************************************
 
 #ifdef ISO
@@ -213,7 +217,5 @@
     ENDIF
 
-
     rhoa = PS(:KNON) / (Rd * temp_air(:knon) * (1. + retv * spechum(:knon)))
-
     !******************************************************************************
     ! Switch according to type of ocean (couple, slab or forced)
@@ -232,5 +234,5 @@
             qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
             tsurf_new, dflux_s, dflux_l, sens_prec_liq, sss, delta_sal, rhoa, &
-            delta_sst)
+            delta_sst, dTer, dSer, dt_ds)
 
     CASE('slab')
@@ -376,7 +378,11 @@
        delta_sst = t_int - tsurf_new(:knon)
        delta_sal = s_int - sss(:knon)
-       if (activate_ocean_skin >= 2) tsurf_new(:knon) = t_int
+
+       if (activate_ocean_skin == 2) then
+          tsurf_new(:knon) = t_int
+          if (type_ocean == 'couple') dt_ds = (tks / tkt) * dter
+       end if
     end if
-
+    
   END SUBROUTINE surf_ocean
   !****************************************************************************
Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_seaice_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_seaice_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/surf_seaice_mod.F90	(revision 4446)
@@ -35,5 +35,5 @@
   USE indice_sol_mod
 #ifdef ISO
-  USE infotrac_phy, ONLY : ntraciso,niso
+  USE infotrac_phy, ONLY : ntiso,niso
 #endif
 
@@ -71,5 +71,5 @@
     REAL, DIMENSION(klon,nbsrf), INTENT(IN)  :: pctsrf
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)        :: xtprecip_rain, xtprecip_snow 
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)        :: xtprecip_rain, xtprecip_snow 
     REAL, DIMENSION(klon), INTENT(IN)        :: xtspechum
     REAL, DIMENSION(niso,klon), INTENT(IN)        :: Roce
@@ -101,5 +101,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: flux_u1, flux_v1
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)        :: xtevap  
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT)        :: xtevap  
 #endif
 
Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/wake.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/wake.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/wake.F90	(revision 4446)
@@ -34,5 +34,5 @@
   USE print_control_mod, ONLY: prt_level
 #ifdef ISO
-  USE infotrac_phy, ONLY : ntraciso
+  USE infotrac_phy, ONLY : ntraciso=>ntiso
 #ifdef ISOVERIF
   USE isotopes_verif_mod
@@ -2550,5 +2550,5 @@
     d_deltaqw, sigmaw, d_sigmaw, alpha)
   ! ------------------------------------------------------
-  ! Dtermination du coefficient alpha tel que les tendances
+  ! D\'etermination du coefficient alpha tel que les tendances
   ! corriges alpha*d_G, pour toutes les grandeurs G, correspondent
   ! a une humidite positive dans la zone (x) et dans la zone (w).
